#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
const _yargs = /*#__PURE__*/ _interopRequireDefault(require("yargs"));
require("@/utils/globals");
const _asciiArt = /*#__PURE__*/ _interopRequireDefault(require("@/utils/asciiArt"));
const _processes = require("@/processes");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
_yargs.default.usage(_asciiArt.default + 'Usage:\n  mhy [command (process)] [process args] [mhy options]').scriptName('').help('mhy-help').version(false).option('mhy-verbose', {
    default: false,
    description: 'Show more info than usual',
    choices: [
        false,
        true
    ],
    type: 'boolean'
}).option('mhy-debug', {
    default: false,
    description: 'Show debug information',
    choices: [
        false,
        true
    ],
    type: 'boolean'
}).option('mhy-version', {
    description: `Show the currently used version of mhy`
}).recommendCommands();
// Register commands
try {
    (0, _processes.loadCommands)();
} catch (e) {
    console.error('FATAL: Could not register.', e);
    process.exit(1);
}
// Initialize yargs
_yargs.default.argv;
