"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _fileTypes = /*#__PURE__*/ _interopRequireDefault(require("@/utils/fileTypes"));
const _husky = /*#__PURE__*/ _interopRequireDefault(require("@/configs/husky"));
const _utils = require("@/utils");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const GIT_HOOKS_DIR = _path.default.resolve(__dirname, '../../../.git/hooks');
const writeConfig = (dir = process.cwd(), format = _fileTypes.default.JSON_NO_EXT, overwrite)=>{
    // Expose Husky scripts in consumer's repo
    (0, _utils.createSymlink)(dir, 'node_modules/.bin/husky-run', 'dir');
    (0, _utils.createSymlink)(dir, 'node_modules/.bin/husky-upgrade', 'dir');
    // Create separate links as hooks folder already exists with samples
    _fs.default.readdirSync(GIT_HOOKS_DIR).filter((filename)=>filename.search('sample') === -1).forEach((filename)=>(0, _utils.createSymlink)(dir, `.git/hooks/${filename}`));
    return (0, _utils.writeFile)(dir, '.huskyrc', _husky.default, format, overwrite);
};
var _default = writeConfig;
