"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _utils = require("@/utils");
const _mhy = /*#__PURE__*/ _interopRequireDefault(require("@/configs/mhy"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const srcPath = _path.default.join(process.cwd(), _mhy.default.srcFolder);
const aliases = Object.entries(_mhy.default.defaultAliases).reduce((acc, [key, value])=>{
    value = `${value.replace(/\\/g, '/')}`;
    acc[`${key}$`] = value;
    acc[`${key}\/(.*)$`] = `${value}/$1`;
    return acc;
}, {});
const jestConfig = (0, _utils.loadConfig)('jest', {
    setupFilesAfterEnv: [
        _path.default.resolve(__dirname, './setup.js'),
        ...require.context(srcPath, true, /jest\.setup\.[jt]sx?$/).keys()
    ],
    rootDir: process.cwd(),
    roots: [
        srcPath
    ],
    watchPathIgnorePatterns: [
        '__.*__'
    ],
    moduleFileExtensions: [
        'js',
        'jsx',
        'json',
        'ts',
        'tsx'
    ],
    modulePaths: [
        _path.default.resolve(process.cwd(), _mhy.default.srcFolder),
        _path.default.resolve(process.cwd(), 'node_modules'),
        _path.default.resolve(__dirname, '../../../node_modules')
    ],
    transform: {
        '^.+\\.(t|j)sx?$': require.resolve('./preprocess')
    },
    transformIgnorePatterns: [],
    bail: true,
    testRegex: '\\.?(test|tests|spec|integration)\\.[jt]sx?$',
    collectCoverage: false,
    verbose: true,
    moduleNameMapper: {
        '\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': 'identity-obj-proxy',
        '\\.(s?css|less)$': 'identity-obj-proxy',
        '\\.(svgx?)$': _path.default.resolve(__dirname, 'mocks/react-null.js'),
        ...aliases
    },
    collectCoverageFrom: [
        '**/*.js'
    ],
    watchPlugins: []
});
var _default = jestConfig;
