"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    default: ()=>_default,
    defaultKeys: ()=>defaultKeys
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
const _utils = require("@/utils");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const defaults = {
    defaultIndexHtml: _path.default.resolve(__dirname, '../..', 'resources', 'index.html'),
    get indexHtml () {
        const projectIndexHtml = _path.default.resolve(process.cwd(), (void 0).srcFolder, 'index.html');
        return _fs.default.existsSync(projectIndexHtml) ? projectIndexHtml : (void 0).defaultIndexHtml;
    },
    srcFolder: 'src',
    distFolder: 'dist',
    buildFolder: 'build',
    defaultIgnoreList: [
        'logs',
        '*.log',
        'npm-debug.log*',
        'yarn-debug.log*',
        'yarn-error.log*',
        'pids',
        '*.pid',
        '*.seed',
        '*.pid.lock',
        'lib-cov',
        'coverage',
        '.nyc_output',
        '.grunt',
        'bower_components',
        '.lock-wscript',
        'build/Release',
        'jspm_packages',
        'typings',
        '.npm',
        '.eslintcache',
        '.node_repl_history',
        '*.tgz',
        '.yarn-integrity',
        '.env',
        '.next',
        '.idea',
        '.vscode',
        'node_modules',
        'prettier.json',
        '.prettierrc',
        'jest.config.js',
        '.eslintrc',
        'tsconfig.json',
        'webpack.config.js',
        '*.tsbuildinfo'
    ],
    get defaultAliases () {
        const pr = _path.default.resolve;
        const src = (void 0).srcFolder;
        const cwd = process.cwd();
        return {
            '@': pr(cwd, `${src}/`),
            '@/mhy': pr(__dirname, '../../'),
            mhy_modules: pr(__dirname, '../../../node_modules'),
            node_modules: pr(process.cwd(), '../../../node_modules')
        };
    }
};
const defaultKeys = Object.keys(defaults);
const mhyConfig = (0, _utils.loadConfig)('mhy', defaults);
global.mhy = mhyConfig;
var _default = mhyConfig;
