"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _utils = require("@/utils");
const prettierConfig = (0, _utils.loadConfig)('prettier', {
    arrowParens: 'avoid',
    useTabs: false,
    printWidth: 120,
    tabWidth: 4,
    singleQuote: true,
    /**
     * Print trailing commas wherever possible.
     * Valid options:
     *   - "none" - no trailing commas
     *   - "es5" - trailing commas where valid in ES5 (objects, arrays, etc)
     *   - "all" - trailing commas wherever possible (function arguments)
     */ trailingComma: 'none',
    /**
     * Do not print spaces between brackets.
     * If true, puts the > of a multi-line jsx element at the end of the last line instead of being
     * alone on the next line
     */ jsxBracketSameLine: false,
    /**
     * Specify which parse to use.
     * Valid options:
     *   - "flow"
     *   - "babylon"
     */ //    parser: 'babylon',
    /**
     * Do not print semicolons, except at the beginning of lines which may need them.
     * Valid options:
     * - true - add a semicolon at the end of every line
     * - false - only add semicolons at the beginning of lines that may introduce ASI failures
     */ semi: false,
    // Wrap prose if it exceeds printWidth.
    proseWrap: 'always'
});
var _default = prettierConfig;
