"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _utils = require("@/utils");
const tsConfig = (0, _utils.loadConfig)('typescript');
const swcConfig = (0, _utils.loadConfig)('swc', {
    jsc: {
        parser: {
            syntax: 'typescript',
            tsx: true,
            dynamicImport: true,
            decorators: true
        },
        paths: tsConfig.paths,
        baseUrl: tsConfig.baseUrl,
        transform: null,
        target: 'es2021',
        loose: true,
        externalHelpers: false,
        // Requires v1.2.50 or upper and requires target to be es2016 or upper.
        keepClassNames: false
    },
    test: [
        'es6',
        'es',
        'jsx',
        'js',
        'mjs',
        'ts',
        'tsx',
        'esm'
    ].map((ext)=>`.*.${ext}$`),
    exclude: [
        'node_modules',
        '\\.d\\.ts$'
    ]
});
var _default = swcConfig;
