"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _utils = require("@/utils");
const _mhy = /*#__PURE__*/ _interopRequireDefault(require("@/configs/mhy"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const _globalTypes = _path.default.resolve(__dirname, '../../../node_modules', '@types');
const _cwdTypes = _path.default.join(process.cwd(), 'node_modules', '@types');
const tryResolve = (...m)=>{
    try {
        return require.resolve(...m);
    } catch (e) {
        return null;
    }
};
const tsconfig = (0, _utils.loadConfig)('typescript', {
    compilerOptions: {
        module: 'esNext',
        target: 'esnext',
        moduleResolution: 'node',
        allowJs: false,
        emitDeclarationOnly: true,
        strict: true,
        jsx: 'preserve',
        resolveJsonModule: true,
        esModuleInterop: true,
        noImplicitAny: false,
        declaration: true,
        baseUrl: _path.default.resolve(process.cwd(), _mhy.default.srcFolder),
        skipLibCheck: true,
        incremental: true,
        outDir: _mhy.default.srcFolder,
        paths: Object.entries(_mhy.default.defaultAliases).reduce(function(acc, [k, p]) {
            // eslint-disable-next-line wrap-regex
            const isModule = !/[/\\.]/.test(p);
            if (isModule && tryResolve(p)) {
                p = tryResolve(p);
            } else if (isModule && tryResolve(process.cwd(), 'node_modules', p)) {
                p = tryResolve(process.cwd(), 'node_modules', p);
            } else if (!_fs.default.existsSync(p)) {
                p = _path.default.resolve(process.cwd(), p);
            } else {
                // Make sure it's a resolved path indeed
                p = _path.default.resolve(p);
            }
            p = !!_path.default.extname(p) ? _path.default.dirname(p) : p;
            acc[k] = [
                _path.default.join(p, 'index')
            ];
            acc[`${k}/*`] = [
                _path.default.join(p, '*')
            ];
            return acc;
        }, {
            '*': [
                _path.default.resolve(process.cwd(), 'node_modules', '*'),
                _path.default.resolve(_globalTypes, '../', '*')
            ]
        }),
        typeRoots: [
            _globalTypes,
            _cwdTypes
        ]
    },
    include: [
        _path.default.resolve(process.cwd(), `${_mhy.default.srcFolder}/**/*`)
    ],
    exclude: [
        'node_modules'
    ],
    files: [
        _path.default.resolve(__dirname, './mhy.d.ts')
    ]
});
var _default = tsconfig;
