"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
var _default = (rules)=>[
        ...rules,
        {
            test: /\.(gif|png|jpe?g)$/i,
            use: [
                {
                    loader: require.resolve('file-loader'),
                    options: {
                        hash: 'sha512',
                        digest: 'hex',
                        name: '[name].[contenthash].[ext]',
                        esModule: false
                    }
                },
                {
                    loader: require.resolve('image-webpack-loader'),
                    options: {
                        bypassOnDebug: true,
                        mozjpeg: {
                            progressive: false,
                            quality: 80
                        }
                    }
                }
            ]
        },
        // Don't add issuer to this rule. Require.context will not work for this reason https://github.com/webpack/webpack/issues/9309
        {
            test: /\.svg$/,
            use: [
                {
                    loader: require.resolve('@svgr/webpack'),
                    options: {
                        svgo: false,
                        icon: true // Replace SVG "width" and "height" value by "1em" to make SVG size inherits from text size.
                    }
                },
                {
                    loader: require.resolve('url-loader'),
                    options: {
                        limit: 65000,
                        mimetype: 'image/svg+xml',
                        name: '[name].[ext]',
                        esModule: false
                    }
                }
            ]
        }
    ];
