"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _mhy = /*#__PURE__*/ _interopRequireDefault(require("@/configs/mhy"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const tryResolve = (...m)=>{
    try {
        return _path.default.dirname(require.resolve(...m));
    } catch (e) {
        return null;
    }
};
const defaultAliases = {
    ..._mhy.default.defaultAliases
};
for (const [key, entry] of Object.entries(defaultAliases)){
    // eslint-disable-next-line wrap-regex
    const isModule = !/[/\\.]/.test(entry);
    if (isModule && tryResolve(entry)) {
        defaultAliases[key] = tryResolve(entry);
    } else if (isModule && tryResolve(process.cwd(), 'node_modules', entry)) {
        defaultAliases[key] = tryResolve(process.cwd(), 'node_modules', entry);
    } else if (!_fs.default.existsSync(entry)) {
        defaultAliases[key] = _path.default.resolve(process.cwd(), entry);
    } else {
        // Make sure it's a resolved path indeed
        defaultAliases[key] = _path.default.resolve(entry);
    }
}
var _default = ({ alias  } = {})=>{
    return {
        extensions: [
            '.ts',
            '.tsx',
            '.js',
            '.jsx',
            '.json',
            '.mjs'
        ],
        modules: Array.from(new Set([
            _path.default.resolve(__dirname, '../../../../node_modules'),
            _path.default.resolve(process.cwd(), 'node_modules')
        ])),
        alias: {
            ...defaultAliases,
            ...alias
        }
    };
};
