"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _fsExtra = /*#__PURE__*/ _interopRequireDefault(require("fs-extra"));
const _yargs = /*#__PURE__*/ _interopRequireDefault(require("yargs"));
const _lodash = require("lodash");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
// mhy boot [technology:react|vue|...] [template:default|...] [-o,--output: output path]
const commandHandler = async ({ technology , template , output  })=>{
    const source = _path.default.resolve(__dirname, '../../../', `templates/${technology}/${template}`);
    const destination = _path.default.resolve(process.cwd(), output);
    try {
        await _fsExtra.default.copy(source, destination, {
            overwrite: false
        });
        await _fsExtra.default.writeJson('./package.json', (0, _lodash.merge)(require(_path.default.resolve(source, 'package.json')), require(_path.default.resolve(destination, 'package.json'))), {
            spaces: 2
        });
    } catch (err) {
        console.error(`mhy:boot:${technology}:${template}`);
        console.error(`An error occurred while copying the source to the destination: ${destination}`);
        console.error(err);
        return;
    }
    console.log(`Completed successfully into: ${destination}`);
};
const handler = ()=>{
    _yargs.default.command('boot', 'initialize a new codebase from a template').command('boot [technology] [template]', 'initialize a template', (yargs)=>{
        yargs.positional('technology', {
            describe: 'technology to use eg. react, vue, etc.',
            type: 'string',
            default: 'react'
        }).positional('template', {
            describe: 'template to use',
            type: 'string',
            default: 'default'
        }).option('output', {
            alias: 'o',
            default: '',
            description: 'Output directory',
            type: 'string'
        });
    }, commandHandler);
};
var _default = handler;
