"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _yargs = /*#__PURE__*/ _interopRequireDefault(require("yargs"));
const _fsExtra = /*#__PURE__*/ _interopRequireDefault(require("fs-extra"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const commandHandler = (args)=>{
    const subexports = require('@/configs/subexports');
    const config = subexports.default || subexports;
    const root = require(_path.default.join(process.cwd(), './package.json')).name;
    Object.entries(config).filter(([pkg, options])=>{
        if (args.force) return true;
        const isExists = _fsExtra.default.existsSync(_path.default.resolve(process.cwd(), pkg, options.main));
        !isExists && console.error(`Could not find dist for ${pkg} package`);
        process.exit(1);
        return isExists;
    }).forEach(([pkg, options])=>{
        const pkgFolder = _path.default.resolve(process.cwd(), pkg);
        const pkgExport = {
            name: `${root}/${pkg}`,
            private: true,
            ...options
        };
        _fsExtra.default.ensureDirSync(pkgFolder);
        _fsExtra.default.writeJsonSync(_path.default.join(pkgFolder, './package.json'), pkgExport);
    });
};
var _default = ()=>{
    _yargs.default.command([
        'subexports',
        'se'
    ], 'exporting optional sub packages', (y)=>{
        return y.option('f', {
            alias: 'force',
            default: false,
            describe: 'Forcing will skipp checking if dist file exists or not.',
            type: 'boolean'
        });
    }, commandHandler);
};
