"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getCLICmd = (args, bin)=>{
    const { argv  } = args;
    return [
        'node',
        require.resolve(bin),
        ...argv.args.map((v)=>`"${v}"`)
    ];
};
class Common extends _processes.default {
    constructor(args, bin){
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, args)=>{
            console.log('args', args, getCLICmd(args, this.bin));
            return this.spawn(name, getCLICmd(args, this.bin));
        };
        this.onRestart = async ()=>{
            await this.kill('start');
            this.run('start');
        };
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            },
            {
                name: 'restart',
                label: 'Restart',
                shortcut: 'r',
                enabled: true,
                onRun: this.onRestart
            }
        ];
        this.bin = bin;
        this.run(defaultAction, {
            ...rest
        });
    }
}
var _default = ()=>Common;
