"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
require("eslint-global-patch");
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const eslintPackageJsonPath = _path.default.resolve(__dirname, '../../../../', 'node_modules/eslint/package.json');
const eslintPackageJson = _fs.default.readFileSync(eslintPackageJsonPath).toString();
if (!eslintPackageJson.includes(`"./bin/eslint.js": "./bin/eslint.js"`)) {
    _fs.default.writeFileSync(eslintPackageJsonPath, eslintPackageJson.replace(`"./package.json": "./package.json"`, `"./package.json": "./package.json","./bin/eslint.js": "./bin/eslint.js"`));
}
const getEslintCLICmd = (args)=>{
    const { flags , argv: { pattern =[]  }  } = args;
    // It's a file/path, use that
    if (!pattern.length) {
        pattern.push(`"${_path.default.resolve(process.cwd(), 'src/**/!(*d).{js,jsx,ts,tsx}')}"`);
    }
    return [
        'node',
        require.resolve('eslint/bin/eslint.js'),
        ...flags,
        ...pattern
    ];
};
class Eslint extends _processes.default {
    constructor(args){
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, args)=>{
            /*  const { default: writePkg } = await import('write-pkg')

        await writePkg(process.cwd(), {
            ...eslintPackageJson,
            exports: {
                './bin/eslint': './bin/eslint'
            }
        })*/ this.spawn(name, getEslintCLICmd(args));
        };
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, {
            ...rest
        });
    }
}
var _default = ()=>Eslint;
