"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getCmdInstallCLI = (flags = [])=>[
        'npm',
        'install',
        ...flags,
        '--no-save'
    ];
class Install extends _processes.default {
    constructor(depType){
        super();
        this.onStart = ({ name  }, { depType  })=>{
            let depKey;
            switch(depType){
                case 'peer':
                    {
                        depKey = 'peerDependencies';
                        break;
                    }
                case '':
                case 'mhy':
                default:
                    depKey = 'mhyDependencies';
            }
            const deps = Object.entries(require(_path.default.resolve(process.cwd(), 'package.json'))[depKey] || {}).map(([name, version])=>`${name}@${version}`);
            if (deps.length) {
                this.spawn(name, getCmdInstallCLI(deps));
            } else {
                console.log(`'${depKey}' key in package.json does not exists or it's empty.`);
            }
        };
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run('start', {
            depType
        });
    }
}
const getInstall = ()=>Install;
var _default = getInstall;
