"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
const _fileTypes = /*#__PURE__*/ _interopRequireDefault(require("@/utils/fileTypes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getJestCLICmd = (flags)=>[
        'node',
        require.resolve('jest-cli/bin/jest'),
        '--passWithNoTests',
        '--colors',
        `--config=${require.resolve('@/configs/jest')}`,
        ...flags
    ];
class Jest extends _processes.default {
    constructor(args){
        const jestDir = _path.default.dirname(require.resolve('@/configs/jest'));
        const fn = require('@/configs/swc/write');
        (fn.default || fn)(jestDir, _fileTypes.default.JSON_NO_EXT, true);
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, { flags =[]  })=>{
            this.spawn(name, getJestCLICmd(flags));
        };
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, {
            ...rest
        });
    }
}
var _default = ()=>Jest;
