"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getCmdNodeCLI = ({ mhyArgv: { _  } , flags  })=>{
    const [, ...args] = _;
    const script = args.pop() || 'src';
    return [
        'node',
        ...args,
        _path.default.resolve(__dirname, '../../../resources/nodeProcessSetup'),
        '--mhy-script',
        script,
        ...flags
    ];
};
class Node extends _processes.default {
    constructor(args){
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, argv)=>{
            this.spawn(name, getCmdNodeCLI(argv), 'pipe');
        };
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, {
            ...rest
        });
    }
}
const getNode = ()=>Node;
var _default = getNode;
