"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getCmdNodemonCLI = ({ mhyArgv: { _  } , flags  })=>{
    const script = _[1] || './src';
    return [
        'node',
        require.resolve('nodemon/bin/nodemon'),
        '--exec',
        `mhy node`,
        '-e',
        'js,jsx,ts,tsx,json,md',
        ...flags
    ];
};
class Nodemon extends _processes.default {
    constructor(args){
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, argv)=>{
            this.spawn(name, getCmdNodemonCLI(argv));
        };
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, {
            ...rest
        });
    }
}
const getNodemon = ()=>Nodemon;
var _default = getNodemon;
