"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getPrettierCLICmd = (args)=>{
    const { flags , argv: { pattern =[]  }  } = args;
    // It's a file/path, use that
    if (!pattern.length) {
        pattern.push(`"${_path.default.resolve(process.cwd(), 'src/**/*.{js,jsx,ts,tsx,css,scss,md,mdx}')}"`);
    }
    return [
        'node',
        require.resolve('prettier/bin-prettier'),
        `--config=${require.resolve('@/configs/prettier')}`,
        '--write',
        ...flags,
        ...pattern
    ];
};
class Prettier extends _processes.default {
    get commandToUse() {
        return getPrettierCLICmd;
    }
    // Feature test only
    processLine(d) {
        if (d.startsWith('change:')) {
            this.emit(process.env.MHY_UI_ACTION, process.env.MHY_UI_ACTION_CLEAR);
        }
        return d;
    }
    constructor(args){
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, args)=>this.spawn(name, this.commandToUse(args));
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, {
            ...rest
        });
    }
}
var _default = ()=>Prettier;
