"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const CmdStorybookBuildCLI = [
    'node',
    require.resolve('@storybook/react/bin/build')
];
class StorybookBuild extends _processes.default {
    constructor(args){
        const storybookConfigPath = require.resolve('@/configs/storybook');
        const sb = require(storybookConfigPath);
        const storybookConfig = sb.default || sb;
        for (const [key, value] of Object.entries(storybookConfig.build)){
            if (value !== null) {
                CmdStorybookBuildCLI.push(`--${key}`);
                CmdStorybookBuildCLI.push(value);
            }
        }
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, { flags =[]  })=>this.spawn(name, [
                ...CmdStorybookBuildCLI,
                ...flags
            ]);
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, rest);
    }
}
var _default = ()=>StorybookBuild;
