"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
const _mhy = /*#__PURE__*/ _interopRequireDefault(require("@/configs/mhy"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getCmdTscCLI = (flags)=>[
        'node',
        require.resolve('typescript/lib/tsc'),
        '--project',
        _path.default.resolve(process.cwd(), 'tsconfig.json'),
        ...flags
    ];
const tsconfigPath = _path.default.resolve(process.cwd(), 'tsconfig.json');
class Tsc extends _processes.default {
    constructor(args){
        const tsConfig_ = require(tsconfigPath);
        const tsConfig = tsConfig_.default || tsConfig_;
        if (!_fs.default.existsSync(tsconfigPath) || !tsConfig.outDir) {
            const fn = require('@/configs/typescript/write');
            (fn.default || fn)();
        }
        const { props: { defaultAction ='start'  } = {} , flags  } = args;
        super(args);
        this.onStart = ({ name  }, { flags =[]  })=>{
            this.spawn(name, getCmdTscCLI(flags), undefined, false).on('exit', ()=>{
                // Fix tsc paths
                const p = this.spawn(name, [
                    'node',
                    require.resolve('tscpaths/cjs/index'),
                    '-p',
                    tsconfigPath,
                    '-s',
                    _mhy.default.srcFolder,
                    '-o',
                    _mhy.default.distFolder
                ], [
                    'pipe',
                    'pipe',
                    'pipe'
                ]);
                this.on('data', (line)=>{
                    if (!line.includes('could not replace') && !line.includes('tscpaths') && !line.includes('Replaced 0 paths')) {
                        console.log(line);
                    }
                });
            });
        };
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, {
            flags
        });
    }
}
var _default = ()=>Tsc;
