"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _processes = /*#__PURE__*/ _interopRequireDefault(require("@/processes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getCmdWebpackCLI = (_flags)=>{
    const [tools, flags] = _flags.reduce((acc, flag)=>{
        acc[flag.startsWith('-') ? 1 : 0].push(flag);
        return acc;
    }, [
        [],
        []
    ]);
    return [
        'node',
        require.resolve('webpack-cli/bin/cli'),
        ...tools,
        '--config',
        require.resolve('@/configs/webpack'),
        ...flags
    ];
};
class Webpack extends _processes.default {
    constructor(args){
        const { props: { defaultAction ='start'  } = {} , ...rest } = args;
        super(args);
        this.onStart = ({ name  }, { flags =[]  })=>this.spawn(name, getCmdWebpackCLI(flags));
        this.actions = [
            {
                name: 'start',
                enabled: true,
                onRun: this.onStart
            }
        ];
        this.run(defaultAction, {
            ...rest
        });
    }
}
var _default = ()=>Webpack;
