"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _moduleAlias = require("module-alias");
const _mhy = /*#__PURE__*/ _interopRequireDefault(require("@/configs/mhy"));
const _swc = /*#__PURE__*/ _interopRequireDefault(require("@/configs/swc"));
const _register = /*#__PURE__*/ _interopRequireDefault(require("@swc/register"));
const _module = /*#__PURE__*/ _interopRequireDefault(require("module"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
// Expose mhy config as Global (just like with webpack)
global.mhy = _mhy.default;
// Guard against poorly mocked module constructors
const Module = module.constructor.length > 1 ? module.constructor : _module.default;
_swc.default.module = _swc.default.module || {};
_swc.default.module.type = _swc.default.module.type || 'commonjs';
//swcConfig.module.ignoreDynamic = swcConfig.module.ignoreDynamic ?? true
(0, _register.default)(_swc.default);
const tryResolve = (...m)=>{
    try {
        return require.resolve(...m);
    } catch (e) {
        return null;
    }
};
const localNodeModulesDir = _path.default.resolve(process.cwd(), 'node_modules');
(0, _moduleAlias.addPath)(localNodeModulesDir);
const nodeModulesPath = _path.default.resolve(__dirname, '../../');
(0, _moduleAlias.addPath)(nodeModulesPath);
const oldResolveFilename = Module._resolveFilename;
Module._resolveFilename = function(request, parentModule, isMain, options) {
    if (!parentModule.paths.includes(nodeModulesPath)) {
        parentModule.paths.push(nodeModulesPath);
    }
    return oldResolveFilename.call(this, request, parentModule, isMain, options);
};
const oldNodeModulePaths = Module._nodeModulePaths;
Module._nodeModulePaths = function(from) {
    const paths = oldNodeModulePaths.call(this, from);
    if (!paths.includes(nodeModulesPath)) {
        paths.push(nodeModulesPath);
    }
    return paths;
};
const alias = {
    ..._mhy.default.defaultAliases
};
for (const [key, entry] of Object.entries(alias)){
    // eslint-disable-next-line wrap-regex
    const isModule = !/[/\\.]/.test(entry);
    if (isModule && tryResolve(entry)) {
        alias[key] = tryResolve(entry);
    } else if (isModule && tryResolve(process.cwd(), 'node_modules', entry)) {
        alias[key] = tryResolve(process.cwd(), 'node_modules', entry);
    } else if (!_fs.default.existsSync(entry)) {
        alias[key] = _path.default.resolve(process.cwd(), entry);
    } else {
        // Make sure it's a resolved path indeed
        alias[key] = _path.default.resolve(entry);
    }
    // Remove index.js to allow folders
    if (alias[key].split(_path.default.sep).pop().includes('index.')) {
        alias[key] = _path.default.dirname(alias[key]);
    }
}
(0, _moduleAlias.addAliases)(alias);
const scriptKey = '--mhy-script';
const scriptIndex = process.argv.findIndex((v)=>v.includes(scriptKey));
const scriptValue = process.argv[scriptIndex];
const src = scriptValue.length === scriptKey.length ? process.argv[scriptIndex + 1] : scriptValue.replace(`${scriptKey}=`, '');
// Remove them
process.argv.splice(scriptIndex, 2);
if (src) {
    require(_path.default.resolve(process.cwd(), src));
}
