"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _glob = /*#__PURE__*/ _interopRequireDefault(require("glob"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const applyEntries = (o, basePath, globPattern = '', allowIndex = false)=>{
    const entries = _glob.default.sync(_path.default.join(basePath, globPattern), {
        ignore: [
            'index'
        ],
        nodir: true
    });
    for (const entry of entries){
        let tmp = o;
        if (entry.endsWith('index.js') || entry.endsWith('index.cjs')) {
            if (allowIndex) {
                const fn = require(entry);
                (fn.default || fn)(o, o);
            }
            continue;
        }
        const relative = _path.default.relative(basePath, entry);
        const segments = relative.split(_path.default.sep);
        for (let [k, v] of Object.entries(segments)){
            if (Array.isArray(tmp)) {
            // Value is array, no need to do anything with it
            } else if (k < segments.length - 1) {
                // It's not last item
                tmp[v] = tmp[v] || {};
                if (Array.isArray(tmp[v])) {
                    const fn1 = require(entry);
                    tmp[v] = tmp = (fn1.default || fn1)(tmp[v], o);
                } else {
                    tmp = tmp[v];
                }
            } else {
                // It's last item, require and execute default
                v = v.replace(/\.(js|cjs)$/g, '');
                const fn2 = require(entry);
                tmp[v] = (fn2.default || fn2)(tmp[v], o);
            }
        }
    }
};
var _default = applyEntries;
