"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _utils = require("@/utils");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const loadConfig = (module, defaults = {})=>{
    const envs = [
        'root',
        ...process.env.MHY_ENVS.split(':')
    ];
    for (const env of envs){
        // 1. from MHY
        (0, _utils.applyEntries)(defaults, _path.default.join(__dirname, '../configs', module, env), '**/*.{js,cjs}');
        // 2. from process.cwd()
        (0, _utils.applyEntries)(defaults, _path.default.join(process.cwd(), process.env.MHY_LOCAL_DIR, 'configs', module, env), '**/*.{js,cjs}', true);
        // 3. from JSON
        defaults = (0, _utils.applyJson)(module, env, defaults);
    }
    return defaults;
};
var _default = loadConfig;
