"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _fs = /*#__PURE__*/ _interopRequireDefault(require("fs"));
const _path = /*#__PURE__*/ _interopRequireDefault(require("path"));
const _formatSource = /*#__PURE__*/ _interopRequireDefault(require("@/utils/formatSource"));
const _formatFilename = /*#__PURE__*/ _interopRequireDefault(require("@/utils/formatFilename"));
const _fileTypes = /*#__PURE__*/ _interopRequireDefault(require("@/utils/fileTypes"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const writeFile = (dir, filename, source, format = _fileTypes.default.JS, overwrite = true)=>{
    filename = (0, _formatFilename.default)(filename, format);
    source = (0, _formatSource.default)(source, format);
    const filePath = _path.default.resolve(dir, filename);
    let isExisted = _fs.default.existsSync(filePath);
    let isOverwritten = false;
    if (!isExisted || overwrite) {
        _fs.default.writeFileSync(filePath, source);
        isOverwritten = isExisted;
    }
    return {
        dir,
        filename,
        source,
        format,
        isExisted,
        isOverwritten
    };
};
var _default = writeFile;
